<?php
defined('TYPO3') || die();

(static function() {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Bugtest',
        'Routingtest',
        [
            \Monsun\Bugtest\Controller\TestmodelController::class => 'list, new, create, edit, update, editTwo, show,'
        ],
        // non-cacheable actions
        [
            \Monsun\Bugtest\Controller\TestmodelController::class => 'create, update, edit, show, editTwo,'
        ]
    );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    routingtest {
                        iconIdentifier = bugtest-plugin-routingtest
                        title = LLL:EXT:bugtest/Resources/Private/Language/locallang_db.xlf:tx_bugtest_routingtest.name
                        description = LLL:EXT:bugtest/Resources/Private/Language/locallang_db.xlf:tx_bugtest_routingtest.description
                        tt_content_defValues {
                            CType = list
                            list_type = bugtest_routingtest
                        }
                    }
                }
                show = *
            }
       }'
    );
})();
